diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/test/ns3tc/fq-codel-queue-disc-test-suite.cc ns-3.44/src/test/ns3tc/fq-codel-queue-disc-test-suite.cc
--- ns-3.43/src/test/ns3tc/fq-codel-queue-disc-test-suite.cc	2024-10-09 16:41:10.096656600 -0700
+++ ns-3.44/src/test/ns3tc/fq-codel-queue-disc-test-suite.cc	2025-03-09 16:55:49.703372200 -0700
@@ -29,7 +29,7 @@
 static int32_t g_hash;
 
 /**
- * \ingroup system-tests-tc
+ * @ingroup system-tests-tc
  *
  * Simple test packet filter able to classify IPv4 packets.
  */
@@ -37,8 +37,8 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -48,15 +48,15 @@
   private:
     /**
      * Classify a QueueDiscItem
-     * \param item The item to classify (unused).
-     * \return a pre-set hash value.
+     * @param item The item to classify (unused).
+     * @return a pre-set hash value.
      */
     int32_t DoClassify(Ptr<QueueDiscItem> item) const override;
 
     /**
      * Check the protocol.
-     * \param item The item to check (unused).
-     * \return true.
+     * @param item The item to check (unused).
+     * @return true.
      */
     bool CheckProtocol(Ptr<QueueDiscItem> item) const override;
 };
@@ -92,7 +92,7 @@
 }
 
 /**
- * \ingroup system-tests-tc
+ * @ingroup system-tests-tc
  *
  * This class tests packets for which there is no suitable filter.
  */
@@ -150,7 +150,7 @@
 }
 
 /**
- * \ingroup system-tests-tc
+ * @ingroup system-tests-tc
  *
  * This class tests the IP flows separation and the packet limit.
  */
@@ -164,8 +164,8 @@
     void DoRun() override;
     /**
      * Enqueue a packet.
-     * \param queue The queue disc.
-     * \param hdr The IPv4 header.
+     * @param queue The queue disc.
+     * @param hdr The IPv4 header.
      */
     void AddPacket(Ptr<FqCoDelQueueDisc> queue, Ipv4Header hdr);
 };
@@ -245,7 +245,7 @@
 }
 
 /**
- * \ingroup system-tests-tc
+ * @ingroup system-tests-tc
  *
  * This class tests the deficit per flow.
  */
@@ -259,8 +259,8 @@
     void DoRun() override;
     /**
      * Enqueue a packet.
-     * \param queue The queue disc.
-     * \param hdr The IPv4 header.
+     * @param queue The queue disc.
+     * @param hdr The IPv4 header.
      */
     void AddPacket(Ptr<FqCoDelQueueDisc> queue, Ipv4Header hdr);
 };
@@ -471,7 +471,7 @@
 }
 
 /**
- * \ingroup system-tests-tc
+ * @ingroup system-tests-tc
  *
  * This class tests the TCP flows separation.
  */
@@ -485,9 +485,9 @@
     void DoRun() override;
     /**
      * Enqueue a packet.
-     * \param queue The queue disc.
-     * \param ipHdr The IPv4 header.
-     * \param tcpHdr The TCP header.
+     * @param queue The queue disc.
+     * @param ipHdr The IPv4 header.
+     * @param tcpHdr The TCP header.
      */
     void AddPacket(Ptr<FqCoDelQueueDisc> queue, Ipv4Header ipHdr, TcpHeader tcpHdr);
 };
@@ -596,7 +596,7 @@
 }
 
 /**
- * \ingroup system-tests-tc
+ * @ingroup system-tests-tc
  *
  * This class tests the UDP flows separation
  */
@@ -610,9 +610,9 @@
     void DoRun() override;
     /**
      * Enqueue a packet.
-     * \param queue The queue disc.
-     * \param ipHdr The IPv4 header.
-     * \param udpHdr The UDP header.
+     * @param queue The queue disc.
+     * @param ipHdr The IPv4 header.
+     * @param udpHdr The UDP header.
      */
     void AddPacket(Ptr<FqCoDelQueueDisc> queue, Ipv4Header ipHdr, UdpHeader udpHdr);
 };
@@ -721,9 +721,9 @@
 }
 
 /**
- * \ingroup system-tests-tc
+ * @ingroup system-tests-tc
  *
- * \brief This class tests ECN marking.
+ * @brief This class tests ECN marking.
  *
  * Any future classifier options (e.g. SetAssociativeHash) should be
  * disabled to prevent a hash collision on this test case.
@@ -738,11 +738,11 @@
     void DoRun() override;
     /**
      * Enqueue some packets.
-     * \param queue The queue disc.
-     * \param hdr The IPv4 header.
-     * \param nPkt The number of packets to enqueue.
-     * \param nPktEnqueued The expected number of queue disc classes.
-     * \param nQueueFlows The expected number of flows in the queue.
+     * @param queue The queue disc.
+     * @param hdr The IPv4 header.
+     * @param nPkt The number of packets to enqueue.
+     * @param nPktEnqueued The expected number of queue disc classes.
+     * @param nQueueFlows The expected number of flows in the queue.
      */
     void AddPacket(Ptr<FqCoDelQueueDisc> queue,
                    Ipv4Header hdr,
@@ -751,15 +751,15 @@
                    uint32_t nQueueFlows);
     /**
      * Dequeue some packets.
-     * \param queue The queue disc.
-     * \param nPkt The number of packets to dequeue.
+     * @param queue The queue disc.
+     * @param nPkt The number of packets to dequeue.
      */
     void Dequeue(Ptr<FqCoDelQueueDisc> queue, uint32_t nPkt);
     /**
      * Dequeue some packets with delay.
-     * \param queue The queue disc.
-     * \param delay Delay [seconds].
-     * \param nPkt The number of packets to dequeue.
+     * @param queue The queue disc.
+     * @param delay Delay [seconds].
+     * @param nPkt The number of packets to dequeue.
      */
     void DequeueWithDelay(Ptr<FqCoDelQueueDisc> queue, double delay, uint32_t nPkt);
 };
@@ -811,7 +811,7 @@
 {
     for (uint32_t i = 0; i < nPkt; i++)
     {
-        Simulator::Schedule(Time(Seconds((i + 1) * delay)),
+        Simulator::Schedule(Seconds((i + 1) * delay),
                             &FqCoDelQueueDiscECNMarking::Dequeue,
                             this,
                             queue,
@@ -847,7 +847,7 @@
     hdr.SetEcn(Ipv4Header::ECN_ECT0);
 
     // Add 20 ECT0 (ECN capable) packets from the first flow
-    Simulator::Schedule(Time(Seconds(0)),
+    Simulator::Schedule(Seconds(0),
                         &FqCoDelQueueDiscECNMarking::AddPacket,
                         this,
                         queueDisc,
@@ -858,7 +858,7 @@
 
     // Add 20 ECT0 (ECN capable) packets from second flow
     hdr.SetDestination(Ipv4Address("10.10.1.10"));
-    Simulator::Schedule(Time(Seconds(0)),
+    Simulator::Schedule(Seconds(0),
                         &FqCoDelQueueDiscECNMarking::AddPacket,
                         this,
                         queueDisc,
@@ -869,7 +869,7 @@
 
     // Add 20 ECT0 (ECN capable) packets from third flow
     hdr.SetDestination(Ipv4Address("10.10.1.20"));
-    Simulator::Schedule(Time(Seconds(0)),
+    Simulator::Schedule(Seconds(0),
                         &FqCoDelQueueDiscECNMarking::AddPacket,
                         this,
                         queueDisc,
@@ -881,7 +881,7 @@
     // Add 20 NotECT packets from fourth flow
     hdr.SetDestination(Ipv4Address("10.10.1.30"));
     hdr.SetEcn(Ipv4Header::ECN_NotECT);
-    Simulator::Schedule(Time(Seconds(0)),
+    Simulator::Schedule(Seconds(0),
                         &FqCoDelQueueDiscECNMarking::AddPacket,
                         this,
                         queueDisc,
@@ -892,7 +892,7 @@
 
     // Add 20 NotECT packets from fifth flow
     hdr.SetDestination(Ipv4Address("10.10.1.40"));
-    Simulator::Schedule(Time(Seconds(0)),
+    Simulator::Schedule(Seconds(0),
                         &FqCoDelQueueDiscECNMarking::AddPacket,
                         this,
                         queueDisc,
@@ -905,7 +905,7 @@
     // each queue
     DequeueWithDelay(queueDisc, 0.11, 60);
     Simulator::Run();
-    Simulator::Stop(Seconds(8.0));
+    Simulator::Stop(Seconds(8));
     Ptr<CoDelQueueDisc> q0 =
         queueDisc->GetQueueDiscClass(0)->GetQueueDisc()->GetObject<CoDelQueueDisc>();
     Ptr<CoDelQueueDisc> q1 =
@@ -1028,7 +1028,7 @@
     // Add 20 ECT0 (ECN capable) packets from first flow
     hdr.SetDestination(Ipv4Address("10.10.1.2"));
     hdr.SetEcn(Ipv4Header::ECN_ECT0);
-    Simulator::Schedule(Time(Seconds(0)),
+    Simulator::Schedule(Seconds(0),
                         &FqCoDelQueueDiscECNMarking::AddPacket,
                         this,
                         queueDisc,
@@ -1039,7 +1039,7 @@
 
     // Add 20 ECT0 (ECN capable) packets from second flow
     hdr.SetDestination(Ipv4Address("10.10.1.10"));
-    Simulator::Schedule(Time(Seconds(0)),
+    Simulator::Schedule(Seconds(0),
                         &FqCoDelQueueDiscECNMarking::AddPacket,
                         this,
                         queueDisc,
@@ -1050,7 +1050,7 @@
 
     // Add 20 ECT0 (ECN capable) packets from third flow
     hdr.SetDestination(Ipv4Address("10.10.1.20"));
-    Simulator::Schedule(Time(Seconds(0)),
+    Simulator::Schedule(Seconds(0),
                         &FqCoDelQueueDiscECNMarking::AddPacket,
                         this,
                         queueDisc,
@@ -1062,7 +1062,7 @@
     // Add 20 NotECT packets from fourth flow
     hdr.SetDestination(Ipv4Address("10.10.1.30"));
     hdr.SetEcn(Ipv4Header::ECN_NotECT);
-    Simulator::Schedule(Time(Seconds(0)),
+    Simulator::Schedule(Seconds(0),
                         &FqCoDelQueueDiscECNMarking::AddPacket,
                         this,
                         queueDisc,
@@ -1073,7 +1073,7 @@
 
     // Add 20 NotECT packets from fifth flow
     hdr.SetDestination(Ipv4Address("10.10.1.40"));
-    Simulator::Schedule(Time(Seconds(0)),
+    Simulator::Schedule(Seconds(0),
                         &FqCoDelQueueDiscECNMarking::AddPacket,
                         this,
                         queueDisc,
@@ -1086,7 +1086,7 @@
     // each queue
     DequeueWithDelay(queueDisc, 0.0001, 60);
     Simulator::Run();
-    Simulator::Stop(Seconds(8.0));
+    Simulator::Stop(Seconds(8));
     q0 = queueDisc->GetQueueDiscClass(0)->GetQueueDisc()->GetObject<CoDelQueueDisc>();
     q1 = queueDisc->GetQueueDiscClass(1)->GetQueueDisc()->GetObject<CoDelQueueDisc>();
     q2 = queueDisc->GetQueueDiscClass(2)->GetQueueDisc()->GetObject<CoDelQueueDisc>();
@@ -1189,7 +1189,7 @@
     // Add 20 ECT0 (ECN capable) packets from first flow
     hdr.SetDestination(Ipv4Address("10.10.1.2"));
     hdr.SetEcn(Ipv4Header::ECN_ECT0);
-    Simulator::Schedule(Time(Seconds(0)),
+    Simulator::Schedule(Seconds(0),
                         &FqCoDelQueueDiscECNMarking::AddPacket,
                         this,
                         queueDisc,
@@ -1200,7 +1200,7 @@
 
     // Add 20 ECT0 (ECN capable) packets from second flow
     hdr.SetDestination(Ipv4Address("10.10.1.10"));
-    Simulator::Schedule(Time(Seconds(0)),
+    Simulator::Schedule(Seconds(0),
                         &FqCoDelQueueDiscECNMarking::AddPacket,
                         this,
                         queueDisc,
@@ -1211,7 +1211,7 @@
 
     // Add 20 ECT0 (ECN capable) packets from third flow
     hdr.SetDestination(Ipv4Address("10.10.1.20"));
-    Simulator::Schedule(Time(Seconds(0)),
+    Simulator::Schedule(Seconds(0),
                         &FqCoDelQueueDiscECNMarking::AddPacket,
                         this,
                         queueDisc,
@@ -1223,7 +1223,7 @@
     // Add 20 NotECT packets from fourth flow
     hdr.SetDestination(Ipv4Address("10.10.1.30"));
     hdr.SetEcn(Ipv4Header::ECN_NotECT);
-    Simulator::Schedule(Time(Seconds(0)),
+    Simulator::Schedule(Seconds(0),
                         &FqCoDelQueueDiscECNMarking::AddPacket,
                         this,
                         queueDisc,
@@ -1234,7 +1234,7 @@
 
     // Add 20 NotECT packets from fifth flow
     hdr.SetDestination(Ipv4Address("10.10.1.40"));
-    Simulator::Schedule(Time(Seconds(0)),
+    Simulator::Schedule(Seconds(0),
                         &FqCoDelQueueDiscECNMarking::AddPacket,
                         this,
                         queueDisc,
@@ -1247,7 +1247,7 @@
     // each queue
     DequeueWithDelay(queueDisc, 0.110, 60);
     Simulator::Run();
-    Simulator::Stop(Seconds(8.0));
+    Simulator::Stop(Seconds(8));
     q0 = queueDisc->GetQueueDiscClass(0)->GetQueueDisc()->GetObject<CoDelQueueDisc>();
     q1 = queueDisc->GetQueueDiscClass(1)->GetQueueDisc()->GetObject<CoDelQueueDisc>();
     q2 = queueDisc->GetQueueDiscClass(2)->GetQueueDisc()->GetObject<CoDelQueueDisc>();
@@ -1341,9 +1341,9 @@
 }
 
 /**
- * \ingroup system-tests-tc
+ * @ingroup system-tests-tc
  *
- * \brief This class tests linear probing, collision response, and set
+ * @brief This class tests linear probing, collision response, and set
  * creation capability of set associative hashing in FqCodel.
  *
  * We modified DoClassify () and CheckProtocol () so that we could control
@@ -1374,8 +1374,8 @@
     void DoRun() override;
     /**
      * Enqueue a packet.
-     * \param queue The queue disc.
-     * \param hdr The IPv4 header.
+     * @param queue The queue disc.
+     * @param hdr The IPv4 header.
      */
     void AddPacket(Ptr<FqCoDelQueueDisc> queue, Ipv4Header hdr);
 };
@@ -1478,9 +1478,9 @@
 }
 
 /**
- * \ingroup system-tests-tc
+ * @ingroup system-tests-tc
  *
- * \brief This class tests L4S mode.
+ * @brief This class tests L4S mode.
  * Any future classifier options (e.g. SetAssociativeHash) should be
  * disabled to prevent a hash collision on this test case.
  */
@@ -1495,18 +1495,18 @@
 
     /**
      * Enqueue some packets.
-     * \param queue The queue disc.
-     * \param hdr The IPv4 header.
-     * \param nPkt The number of packets to enqueue.
+     * @param queue The queue disc.
+     * @param hdr The IPv4 header.
+     * @param nPkt The number of packets to enqueue.
      */
     void AddPacket(Ptr<FqCoDelQueueDisc> queue, Ipv4Header hdr, uint32_t nPkt);
 
     /**
      * Enqueue some packets with delay.
-     * \param queue The queue disc.
-     * \param hdr The IPv4 header.
-     * \param delay Delay [seconds].
-     * \param nPkt The number of packets to enqueue.
+     * @param queue The queue disc.
+     * @param hdr The IPv4 header.
+     * @param delay Delay [seconds].
+     * @param nPkt The number of packets to enqueue.
      */
     void AddPacketWithDelay(Ptr<FqCoDelQueueDisc> queue,
                             Ipv4Header hdr,
@@ -1515,15 +1515,15 @@
 
     /**
      * Dequeue some packets.
-     * \param queue The queue disc.
-     * \param nPkt The number of packets to dequeue.
+     * @param queue The queue disc.
+     * @param nPkt The number of packets to dequeue.
      */
     void Dequeue(Ptr<FqCoDelQueueDisc> queue, uint32_t nPkt);
     /**
      * Dequeue some packets with delay.
-     * \param queue The queue disc.
-     * \param delay Delay [seconds].
-     * \param nPkt The number of packets to dequeue.
+     * @param queue The queue disc.
+     * @param delay Delay [seconds].
+     * @param nPkt The number of packets to dequeue.
      */
     void DequeueWithDelay(Ptr<FqCoDelQueueDisc> queue, double delay, uint32_t nPkt);
 };
@@ -1557,7 +1557,7 @@
 {
     for (uint32_t i = 0; i < nPkt; i++)
     {
-        Simulator::Schedule(Time(Seconds((i + 1) * delay)),
+        Simulator::Schedule(Seconds((i + 1) * delay),
                             &FqCoDelQueueDiscL4sMode::AddPacket,
                             this,
                             queue,
@@ -1580,7 +1580,7 @@
 {
     for (uint32_t i = 0; i < nPkt; i++)
     {
-        Simulator::Schedule(Time(Seconds((i + 1) * delay)),
+        Simulator::Schedule(Seconds((i + 1) * delay),
                             &FqCoDelQueueDiscL4sMode::Dequeue,
                             this,
                             queue,
@@ -1620,7 +1620,7 @@
     // Add 70 ECT1 (ECN capable) packets from the first flow
     // Set delay = 0.5ms
     double delay = 0.0005;
-    Simulator::Schedule(Time(Seconds(0)),
+    Simulator::Schedule(Seconds(0),
                         &FqCoDelQueueDiscL4sMode::AddPacketWithDelay,
                         this,
                         queueDisc,
@@ -1631,7 +1631,7 @@
     // Add 70 ECT0 (ECN capable) packets from second flow
     hdr.SetEcn(Ipv4Header::ECN_ECT0);
     hdr.SetDestination(Ipv4Address("10.10.1.10"));
-    Simulator::Schedule(Time(Seconds(0)),
+    Simulator::Schedule(Seconds(0),
                         &FqCoDelQueueDiscL4sMode::AddPacketWithDelay,
                         this,
                         queueDisc,
@@ -1643,7 +1643,7 @@
     delay = 0.001;
     DequeueWithDelay(queueDisc, delay, 140);
     Simulator::Run();
-    Simulator::Stop(Seconds(8.0));
+    Simulator::Stop(Seconds(8));
     Ptr<CoDelQueueDisc> q0 =
         queueDisc->GetQueueDiscClass(0)->GetQueueDisc()->GetObject<CoDelQueueDisc>();
     Ptr<CoDelQueueDisc> q1 =
@@ -1696,13 +1696,13 @@
     // Add 70 ECT1 (ECN capable) packets from the first flow
     // Set delay = 1ms
     delay = 0.001;
-    Simulator::Schedule(Time(Seconds(0.0005)),
+    Simulator::Schedule(Seconds(0.0005),
                         &FqCoDelQueueDiscL4sMode::AddPacket,
                         this,
                         queueDisc,
                         hdr,
                         1);
-    Simulator::Schedule(Time(Seconds(0.0005)),
+    Simulator::Schedule(Seconds(0.0005),
                         &FqCoDelQueueDiscL4sMode::AddPacketWithDelay,
                         this,
                         queueDisc,
@@ -1712,7 +1712,7 @@
 
     // Add 70 ECT0 (ECN capable) packets from first flow
     hdr.SetEcn(Ipv4Header::ECN_ECT0);
-    Simulator::Schedule(Time(Seconds(0)),
+    Simulator::Schedule(Seconds(0),
                         &FqCoDelQueueDiscL4sMode::AddPacketWithDelay,
                         this,
                         queueDisc,
@@ -1723,7 +1723,7 @@
     // Dequeue 140 packets with delay 1ms
     DequeueWithDelay(queueDisc, delay, 140);
     Simulator::Run();
-    Simulator::Stop(Seconds(8.0));
+    Simulator::Stop(Seconds(8));
     q0 = queueDisc->GetQueueDiscClass(0)->GetQueueDisc()->GetObject<CoDelQueueDisc>();
 
     NS_TEST_EXPECT_MSG_EQ(
@@ -1746,7 +1746,7 @@
 }
 
 /**
- * \ingroup system-tests-tc
+ * @ingroup system-tests-tc
  *
  * FQ-CoDel queue disc test suite.
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/test/ns3tc/fq-pie-queue-disc-test-suite.cc ns-3.44/src/test/ns3tc/fq-pie-queue-disc-test-suite.cc
--- ns-3.43/src/test/ns3tc/fq-pie-queue-disc-test-suite.cc	2024-10-09 16:41:10.096656600 -0700
+++ ns-3.44/src/test/ns3tc/fq-pie-queue-disc-test-suite.cc	2025-03-09 16:55:49.703372200 -0700
@@ -36,7 +36,7 @@
 static int32_t g_hash;
 
 /**
- * \ingroup system-tests-tc
+ * @ingroup system-tests-tc
  *
  * Simple test packet filter able to classify IPv4 packets.
  */
@@ -44,8 +44,8 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -55,15 +55,15 @@
   private:
     /**
      * Classify a QueueDiscItem
-     * \param item The item to classify (unused).
-     * \return a pre-set hash value.
+     * @param item The item to classify (unused).
+     * @return a pre-set hash value.
      */
     int32_t DoClassify(Ptr<QueueDiscItem> item) const override;
 
     /**
      * Check the protocol.
-     * \param item The item to check (unused).
-     * \return true.
+     * @param item The item to check (unused).
+     * @return true.
      */
     bool CheckProtocol(Ptr<QueueDiscItem> item) const override;
 };
@@ -99,7 +99,7 @@
 }
 
 /**
- * \ingroup system-tests-tc
+ * @ingroup system-tests-tc
  *
  * This class tests packets for which there is no suitable filter.
  */
@@ -157,7 +157,7 @@
 }
 
 /**
- * \ingroup system-tests-tc
+ * @ingroup system-tests-tc
  *
  * This class tests the IP flows separation and the packet limit.
  */
@@ -171,8 +171,8 @@
     void DoRun() override;
     /**
      * Enqueue a packet.
-     * \param queue the queue disc
-     * \param hdr the IPv4 header
+     * @param queue the queue disc
+     * @param hdr the IPv4 header
      */
     void AddPacket(Ptr<FqPieQueueDisc> queue, Ipv4Header hdr);
 };
@@ -251,7 +251,7 @@
 }
 
 /**
- * \ingroup system-tests-tc
+ * @ingroup system-tests-tc
  *
  * This class tests the deficit per flow.
  */
@@ -265,8 +265,8 @@
     void DoRun() override;
     /**
      * Enqueue a packet.
-     * \param queue The queue disc.
-     * \param hdr The IPv4 header.
+     * @param queue The queue disc.
+     * @param hdr The IPv4 header.
      */
     void AddPacket(Ptr<FqPieQueueDisc> queue, Ipv4Header hdr);
 };
@@ -477,7 +477,7 @@
 }
 
 /**
- * \ingroup system-tests-tc
+ * @ingroup system-tests-tc
  *
  * This class tests the TCP flows separation.
  */
@@ -491,9 +491,9 @@
     void DoRun() override;
     /**
      * Enqueue a packet.
-     * \param queue The queue disc.
-     * \param ipHdr The IPv4 header.
-     * \param tcpHdr The TCP header.
+     * @param queue The queue disc.
+     * @param ipHdr The IPv4 header.
+     * @param tcpHdr The TCP header.
      */
     void AddPacket(Ptr<FqPieQueueDisc> queue, Ipv4Header ipHdr, TcpHeader tcpHdr);
 };
@@ -602,7 +602,7 @@
 }
 
 /**
- * \ingroup system-tests-tc
+ * @ingroup system-tests-tc
  *
  * This class tests the UDP flows separation
  */
@@ -616,9 +616,9 @@
     void DoRun() override;
     /**
      * Enqueue a packet.
-     * \param queue The queue disc.
-     * \param ipHdr The IPv4 header.
-     * \param udpHdr The UDP header.
+     * @param queue The queue disc.
+     * @param ipHdr The IPv4 header.
+     * @param udpHdr The UDP header.
      */
     void AddPacket(Ptr<FqPieQueueDisc> queue, Ipv4Header ipHdr, UdpHeader udpHdr);
 };
@@ -727,9 +727,9 @@
 }
 
 /**
- * \ingroup system-tests-tc
+ * @ingroup system-tests-tc
  *
- * \brief This class tests linear probing, collision response, and set
+ * @brief This class tests linear probing, collision response, and set
  * creation capability of set associative hashing in FqPIE.
  *
  * This class tests linear probing, collision response, and set
@@ -762,8 +762,8 @@
     void DoRun() override;
     /**
      * Enqueue a packet.
-     * \param queue The queue disc.
-     * \param hdr The IPv4 header.
+     * @param queue The queue disc.
+     * @param hdr The IPv4 header.
      */
     void AddPacket(Ptr<FqPieQueueDisc> queue, Ipv4Header hdr);
 };
@@ -865,9 +865,9 @@
 }
 
 /**
- * \ingroup system-tests-tc
+ * @ingroup system-tests-tc
  *
- * \brief This class tests L4S mode.
+ * @brief This class tests L4S mode.
  *
  * This test is divided to sub test one without hash collisions and so ECT0 and ECT1 flows are
  * classified into different flows.
@@ -888,30 +888,30 @@
     void DoRun() override;
     /**
      * Enqueue the given number of packets.
-     * \param queue The queue disc.
-     * \param hdr The IPv4 header.
-     * \param nPkt The number of packets.
+     * @param queue The queue disc.
+     * @param hdr The IPv4 header.
+     * @param nPkt The number of packets.
      */
     void AddPacket(Ptr<FqPieQueueDisc> queue, Ipv4Header hdr, uint32_t nPkt);
     /**
      * Enqueue the given number of packets at different times.
-     * \param queue The queue disc.
-     * \param hdr The IPv4 header.
-     * \param delay The time between two consecutive enqueue operations.
-     * \param nPkt The number of packets.
+     * @param queue The queue disc.
+     * @param hdr The IPv4 header.
+     * @param delay The time between two consecutive enqueue operations.
+     * @param nPkt The number of packets.
      */
     void AddPacketWithDelay(Ptr<FqPieQueueDisc> queue, Ipv4Header hdr, double delay, uint32_t nPkt);
     /**
      * Dequeue the given number of packets.
-     * \param queue The queue disc.
-     * \param nPkt The number of packets.
+     * @param queue The queue disc.
+     * @param nPkt The number of packets.
      */
     void Dequeue(Ptr<FqPieQueueDisc> queue, uint32_t nPkt);
     /**
      * Dequeue the given number of packets at different times.
-     * \param queue The queue disc.
-     * \param delay The time between two consecutive dequeue operations.
-     * \param nPkt The number of packets.
+     * @param queue The queue disc.
+     * @param delay The time between two consecutive dequeue operations.
+     * @param nPkt The number of packets.
      */
     void DequeueWithDelay(Ptr<FqPieQueueDisc> queue, double delay, uint32_t nPkt);
 };
@@ -945,7 +945,7 @@
 {
     for (uint32_t i = 0; i < nPkt; i++)
     {
-        Simulator::Schedule(Time(Seconds((i + 1) * delay)),
+        Simulator::Schedule(Seconds((i + 1) * delay),
                             &FqPieQueueDiscL4sMode::AddPacket,
                             this,
                             queue,
@@ -968,7 +968,7 @@
 {
     for (uint32_t i = 0; i < nPkt; i++)
     {
-        Simulator::Schedule(Time(Seconds((i + 1) * delay)),
+        Simulator::Schedule(Seconds((i + 1) * delay),
                             &FqPieQueueDiscL4sMode::Dequeue,
                             this,
                             queue,
@@ -1008,7 +1008,7 @@
     // Add 70 ECT1 (ECN capable) packets from the first flow
     // Set delay = 0.5ms
     double delay = 0.0005;
-    Simulator::Schedule(Time(Seconds(0)),
+    Simulator::Schedule(Seconds(0),
                         &FqPieQueueDiscL4sMode::AddPacketWithDelay,
                         this,
                         queueDisc,
@@ -1019,7 +1019,7 @@
     // Add 70 ECT0 (ECN capable) packets from second flow
     hdr.SetEcn(Ipv4Header::ECN_ECT0);
     hdr.SetDestination(Ipv4Address("10.10.1.10"));
-    Simulator::Schedule(Time(Seconds(0)),
+    Simulator::Schedule(Seconds(0),
                         &FqPieQueueDiscL4sMode::AddPacketWithDelay,
                         this,
                         queueDisc,
@@ -1030,7 +1030,7 @@
     // Dequeue 140 packets with delay 1ms
     delay = 0.001;
     DequeueWithDelay(queueDisc, delay, 140);
-    Simulator::Stop(Seconds(10.0));
+    Simulator::Stop(Seconds(10));
     Simulator::Run();
 
     Ptr<PieQueueDisc> q0 =
@@ -1086,13 +1086,13 @@
     // Add 70 ECT1 (ECN capable) packets from the first flow
     // Set delay = 1ms
     delay = 0.001;
-    Simulator::Schedule(Time(Seconds(0.0005)),
+    Simulator::Schedule(Seconds(0.0005),
                         &FqPieQueueDiscL4sMode::AddPacket,
                         this,
                         queueDisc,
                         hdr,
                         1);
-    Simulator::Schedule(Time(Seconds(0.0005)),
+    Simulator::Schedule(Seconds(0.0005),
                         &FqPieQueueDiscL4sMode::AddPacketWithDelay,
                         this,
                         queueDisc,
@@ -1102,7 +1102,7 @@
 
     // Add 70 ECT0 (ECN capable) packets from first flow
     hdr.SetEcn(Ipv4Header::ECN_ECT0);
-    Simulator::Schedule(Time(Seconds(0)),
+    Simulator::Schedule(Seconds(0),
                         &FqPieQueueDiscL4sMode::AddPacketWithDelay,
                         this,
                         queueDisc,
@@ -1112,7 +1112,7 @@
 
     // Dequeue 140 packets with delay 1ms
     DequeueWithDelay(queueDisc, delay, 140);
-    Simulator::Stop(Seconds(1.0));
+    Simulator::Stop(Seconds(1));
     Simulator::Run();
     q0 = queueDisc->GetQueueDiscClass(0)->GetQueueDisc()->GetObject<PieQueueDisc>();
     q0 = queueDisc->GetQueueDiscClass(0)->GetQueueDisc()->GetObject<PieQueueDisc>();
@@ -1138,7 +1138,7 @@
 }
 
 /**
- * \ingroup system-tests-tc
+ * @ingroup system-tests-tc
  *
  * FQ-PIE queue disc test suite.
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/test/ns3tc/pfifo-fast-queue-disc-test-suite.cc ns-3.44/src/test/ns3tc/pfifo-fast-queue-disc-test-suite.cc
--- ns-3.43/src/test/ns3tc/pfifo-fast-queue-disc-test-suite.cc	2024-10-09 16:41:10.096656600 -0700
+++ ns-3.44/src/test/ns3tc/pfifo-fast-queue-disc-test-suite.cc	2025-03-09 16:55:49.703372200 -0700
@@ -20,7 +20,7 @@
 using namespace ns3;
 
 /**
- * \ingroup system-tests-tc
+ * @ingroup system-tests-tc
  *
  * This class tests that each possible TOS is enqueued in the right band
  */
@@ -35,9 +35,9 @@
     /**
      * Enqueue a packet and checks that it's added to the proper band.
      *
-     * \param queue The queue disc.
-     * \param tos The TOS of the packet.
-     * \param band Expected band.
+     * @param queue The queue disc.
+     * @param tos The TOS of the packet.
+     * @param band Expected band.
      */
     void TestTosValue(Ptr<PfifoFastQueueDisc> queue, uint8_t tos, uint32_t band);
 };
@@ -110,7 +110,7 @@
 }
 
 /**
- * \ingroup system-tests-tc
+ * @ingroup system-tests-tc
  *
  * This class tests that each possible DSCP is enqueued in the right band.
  */
@@ -125,9 +125,9 @@
     /**
      * Enqueue a packet and checks that it's added to the proper band.
      *
-     * \param queue The queue disc.
-     * \param dscp The DSCP of the packet.
-     * \param band Expected band.
+     * @param queue The queue disc.
+     * @param dscp The DSCP of the packet.
+     * @param band Expected band.
      */
     void TestDscpValue(Ptr<PfifoFastQueueDisc> queue, Ipv4Header::DscpType dscp, uint32_t band);
 };
@@ -205,7 +205,7 @@
 }
 
 /**
- * \ingroup system-tests-tc
+ * @ingroup system-tests-tc
  *
  * This class tests that each band is txqueuelen deep.
  */
@@ -220,8 +220,8 @@
     /**
      * Enqueue a packet.
      *
-     * \param queue The queue disc.
-     * \param dscp The DSCP of the packet.
+     * @param queue The queue disc.
+     * @param dscp The DSCP of the packet.
      */
     void AddPacket(Ptr<PfifoFastQueueDisc> queue, Ipv4Header::DscpType dscp);
 };
@@ -302,7 +302,7 @@
 }
 
 /**
- * \ingroup system-tests-tc
+ * @ingroup system-tests-tc
  *
  * This class tests that packets without a priority tag are handled by placing
  * them into band 1.
@@ -375,7 +375,7 @@
 }
 
 /**
- * \ingroup system-tests-tc
+ * @ingroup system-tests-tc
  *
  * PfifoFast queue disc test suite.
  */
